# generated by cabal-rpm-0.11.2
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hpc-coveralls
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           %{pkg_name}
Version:        1.0.10
Release:        1%{?dist}
Summary:        Coveralls.io support for Haskell

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-curl-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-directory-tree-devel
BuildRequires:  ghc-hpc-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-pureMD5-devel
BuildRequires:  ghc-regex-posix-devel
BuildRequires:  ghc-retry-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
%endif
# End cabal-rpm deps

%description
This utility converts and sends Haskell projects hpc code coverage to
<http://coveralls.io/ coverall.io>.

/Usage/

Below is the simplest example of .travis.yml configuration to use with Travis
CI:

> language: haskell > ghc: 7.8 > script: > - cabal configure --enable-tests
--enable-library-coverage && cabal build && cabal test > after_script: > -
cabal install hpc-coveralls > - hpc-coveralls [options] [test-suite-names]

Further information can be found in the
<https://github.com/guillaume-nargeot/hpc-coveralls README>.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_bindir}/run-cabal-test


%files -n ghc-%{name} -f ghc-%{name}.files
%license LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc CHANGELOG.md README.md


%changelog
* Wed Aug 30 2017 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.0.10-1
- spec file generated by cabal-rpm-0.11.2
